<AuthState name="${state.entry}" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="false" resumeState="true">
    <ResultCond name="noChange" next="${state.entry}_UpdateLoginInfo"/>
    <ResultCond name="audited" next="${state.entry}_NotifyUser"/>
    <ResultCond name="error" next="${state.failed}"/>
    <property name="script" value="file:///var/opt/nevisauth/default/conf/eid_compare_and_update_idm_attributes.groovy"/>
    <property name="parameter.baseUrl" value="${var.eid.idm.rest.baseUrl}" />
    <property name="parameter.clientExtId" value="${var.eid.idm.rest.clientExtId}" />
    <property name="parameter.idm.httpclient.tls.trustStoreRef" value="${keystore}"/>
 </AuthState>

<AuthState name="${state.entry}_NotifyUser" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="false" resumeState="true">
    <ResultCond name="ok" next="${state.entry}_UpdateLoginInfo"/>
    <ResultCond name="error" next="${state.failed}"/>
    <property name="script" value="file:///var/opt/nevisauth/default/conf/eid_notify_user_idm_change.groovy"/>
    <property name="parameter.baseUrl" value="${var.eid.idm.rest.baseUrl}" />
    <property name="parameter.clientExtId" value="${var.eid.idm.rest.clientExtId}" />
    <property name="parameter.idm.httpclient.tls.trustStoreRef" value="${keystore}"/>
 </AuthState>

 <AuthState name="${state.entry}_UpdateLoginInfo" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="false" resumeState="true">
    <ResultCond name="ok" next="${state.done}"/>
    <ResultCond name="error" next="${state.failed}"/>
    <property name="script" value="file:///var/opt/nevisauth/default/conf/eid_update_login_info.groovy"/>
    <property name="parameter.baseUrl" value="${var.eid.idm.rest.baseUrl}" />
    <property name="parameter.clientExtId" value="${var.eid.idm.rest.clientExtId}" />
    <property name="parameter.idm.httpclient.tls.trustStoreRef" value="${keystore}"/>
 </AuthState>

 

